Bug 1709902 - Dates specified in search queries don't respect current user time zone
Summary: Dates specified in search queries don't respect current user time zone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Marek Hulan
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
: 1709901 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-14 14:03 UTC by Marek Hulan
Modified: 2019-10-22 19:49 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-scoped_search-0.4.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26757 None None None 2019-05-14 14:03:24 UTC

Description Marek Hulan 2019-05-14 14:03:22 UTC
this is fixed in scoped_search 0.4.7

Comment 1 Marek Hulan 2019-05-14 14:03:26 UTC
Created from redmine issue https://projects.theforeman.org/issues/26757

Comment 2 Marek Hulan 2019-05-14 14:03:29 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 3 Marek Hulan 2019-05-14 14:11:58 UTC
Reproducing steps:

1) login as a user in some non +0 timezone, e.g. +0200
2) generate a report template Monitor -> Report templates -> whichever one, schedule for later, e.g. 2 minutes from now
3) observer the report does not start rendering as expected, based on your timezone it either start earlier or later (by hours)

With the fix
1) scheduling works as expected

Comment 6 Brad Buckingham 2019-05-14 17:08:17 UTC
*** Bug 1709901 has been marked as a duplicate of this bug. ***

Comment 7 Lukáš Hellebrandt 2019-05-28 13:46:14 UTC
Verified with Sat 6.6 snap 4.

Tested using Firefox 66.0.3 and Chromium 73.0.3683.86. Tested both with e-mail and polling.

Comment 8 Bryan Kearney 2019-10-22 19:49:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.